// AEon's Cell Shaders
// ------------------- 10/14/2009

// - BASE:  All the base template textures from Evil Lair's "Template" set.
//			Based on original "Template" texture set by Evil Lair.

// Re-created as full quality TGAs. Included here, with permission by Evil Lair.
// Main orange color:   E18022, 225 128 34  -> 0.8789062 0.500000 0.1328125
// Light brown:         C69C6D, 198 156 109 -> 0.7734375 0.609375 0.42578125
// Light blue:          4395DB,  67 149 219 -> 0.26171875 0.58203125 0.85546875
// Light green:         7CC576, 124 197 118 -> 0.484375 0.76953125 0.4609375

textures/aecell_base/temp_basetrim_32
{
	qer_editorimage textures/aecell_base/temp_basetrim_32.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_basetrim_32g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_basetrim_64
{
	qer_editorimage textures/aecell_base/temp_basetrim_64.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_basetrim_64g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_basetrim_128
{
	qer_editorimage textures/aecell_base/temp_basetrim_128.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_basetrim_128g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_bounce_wmark
{
	qer_editorimage textures/aecell_base/temp_bounce_wmark.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_bounce_wmarkg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

// JP shader created by fKd for temp01.
textures/aecell_base/temp_bounce
{
    qer_editorimage textures/aecell_base/temp_bounce.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	{
		map textures/aecell_gray/temp_bounceg.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/aecell_base/temp_floor_01
{
	qer_editorimage textures/aecell_base/temp_floor_01.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_floor_01g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_floor_02
{
	qer_editorimage textures/aecell_base/temp_floor_02.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_floor_02g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_floor_03
{
	qer_editorimage textures/aecell_base/temp_floor_03.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_floor_03g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_grate
{
	qer_editorimage textures/aecell_base/temp_grate.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_grateg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_grid_256
{
	qer_editorimage textures/aecell_base/temp_grid_256.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_grid_256g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_launchpad
{
	qer_editorimage textures/aecell_base/temp_launchpad.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_launchpadg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}


// --------------------------------------------------------------------------

// Based on id's base_light/ceil1_38_50k shader
textures/aecell_base/temp_light64
{
	qer_editorimage textures/aecell_base/temp_light64.tga
	q3map_lightimage textures/aecell_sfx/aecell_color_white.tga
	q3map_backsplash 1 23
	q3map_surfacelight 50000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/temp_light64g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )	// ***WORKS?
//		rgbGen identity
	}
}

// --------------------------------------------------------------------------

textures/aecell_base/temp_stepside_01
{
	qer_editorimage textures/aecell_base/temp_stepside_01.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_stepside_01g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_steptop_01
{
	qer_editorimage textures/aecell_base/temp_steptop_01.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_steptop_01g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_steptop_02
{
	qer_editorimage textures/aecell_base/temp_steptop_02.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_steptop_02g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_wall_01
{
	qer_editorimage textures/aecell_base/temp_wall_01.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_wall_01g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_wall_02
{
	qer_editorimage textures/aecell_base/temp_wall_02.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_wall_02g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_wall_03
{
	qer_editorimage textures/aecell_base/temp_wall_03.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_wall_03g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_wall_04
{
	qer_editorimage textures/aecell_base/temp_wall_04.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_wall_04g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_walltrim_32
{
	qer_editorimage textures/aecell_base/temp_walltrim_32.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_walltrim_32g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_walltrim_64
{
	qer_editorimage textures/aecell_base/temp_walltrim_64.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_walltrim_64g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_base/temp_walltrim_128
{
	qer_editorimage textures/aecell_base/temp_walltrim_128.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/temp_walltrim_128g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}
