// AEon's Cell Shaders
// ------------------- 10/14/2009

// - TRIM:  The trim textures in this set.
//			Mostly based on "Andromeda" texture set by Speedy.
//			e8trim based on texture from evil lair's E8 set.
// - PIPE:  Column, pipe, grabrail deco textures.
//			Pipe based on "Arctic" texture set.
//			Grabrail based on texture from fKd's q3dmp11 map.
// - CRATE: Based on Tabun's Q2 textures.
// - RAIL:	e8rail based on texture from evil lair's E8 set.

// Re-created (traced & abstracted) for template texture set by AEon.
// Main orange color: E18022, 225 128 34  /256 -> 0.8789062 0.500000 0.1328125


// **************
// **** TRIM ****
// **************

textures/aecell_trim/aecell_trim_16
{
	qer_editorimage textures/aecell_trim/aecell_trim_16.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_16g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_17b
{
	qer_editorimage textures/aecell_trim/aecell_trim_17b.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_17bg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_17
{
	qer_editorimage textures/aecell_trim/aecell_trim_17.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_17g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_33b
{
	qer_editorimage textures/aecell_trim/aecell_trim_33b.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_33bg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_33
{
	qer_editorimage textures/aecell_trim/aecell_trim_33.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_33g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_34
{
	qer_editorimage textures/aecell_trim/aecell_trim_34.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_34g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_h3b
{
	qer_editorimage textures/aecell_trim/aecell_trim_h3b.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_h3bg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_h3
{
	qer_editorimage textures/aecell_trim/aecell_trim_h3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_h3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_h3or
{
	qer_editorimage textures/aecell_trim/aecell_trim_h3or.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_h3org.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_slots1
{
	qer_editorimage textures/aecell_trim/aecell_trim_slots1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_slots1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_slots2
{
	qer_editorimage textures/aecell_trim/aecell_trim_slots2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_slots2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_slots3
{
	qer_editorimage textures/aecell_trim/aecell_trim_slots3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_slots3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_warn2
{
	qer_editorimage textures/aecell_trim/aecell_trim_warn2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_warn2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_warn3
{
	qer_editorimage textures/aecell_trim/aecell_trim_warn3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_warn3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim_warn
{
	qer_editorimage textures/aecell_trim/aecell_trim_warn.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim_warng.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim2_22c
{
	qer_editorimage textures/aecell_trim/aecell_trim2_22c.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim2_22cg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim2_22d
{
	qer_editorimage textures/aecell_trim/aecell_trim2_22d.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim2_22dg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim2_22e
{
	qer_editorimage textures/aecell_trim/aecell_trim2_22e.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim2_22eg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim2_22f
{
	qer_editorimage textures/aecell_trim/aecell_trim2_22f.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim2_22fg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim2_22
{
	qer_editorimage textures/aecell_trim/aecell_trim2_22.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim2_22g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim2_22h
{
	qer_editorimage textures/aecell_trim/aecell_trim2_22h.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim2_22hg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim2_22i
{
	qer_editorimage textures/aecell_trim/aecell_trim2_22i.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim2_22ig.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim2_22k
{
	qer_editorimage textures/aecell_trim/aecell_trim2_22k.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim2_22kg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim2_22l
{
	qer_editorimage textures/aecell_trim/aecell_trim2_22l.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim2_22lg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim2_22x
{
	qer_editorimage textures/aecell_trim/aecell_trim2_22x.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim2_22xg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim8_1
{
	qer_editorimage textures/aecell_trim/aecell_trim8_1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim8_1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim8_2
{
	qer_editorimage textures/aecell_trim/aecell_trim8_2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim8_2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim8_3
{
	qer_editorimage textures/aecell_trim/aecell_trim8_3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim8_3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim8_4
{
	qer_editorimage textures/aecell_trim/aecell_trim8_4.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim8_4g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim8_5
{
	qer_editorimage textures/aecell_trim/aecell_trim8_5.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim8_5g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim8_6
{
	qer_editorimage textures/aecell_trim/aecell_trim8_6.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim8_6g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim16_1
{
	qer_editorimage textures/aecell_trim/aecell_trim16_1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim16_1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim16_2
{
	qer_editorimage textures/aecell_trim/aecell_trim16_2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim16_2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_trim16_3
{
	qer_editorimage textures/aecell_trim/aecell_trim16_3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_trim16_3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_vtrim_sup1
{
	qer_editorimage textures/aecell_trim/aecell_vtrim_sup1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_vtrim_sup1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_vtrim_sup2
{
	qer_editorimage textures/aecell_trim/aecell_vtrim_sup2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_vtrim_sup2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_vtrim_sup4
{
	qer_editorimage textures/aecell_trim/aecell_vtrim_sup4.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_vtrim_sup4g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_e8trim
{
	qer_editorimage textures/aecell_trim/aecell_e8trim.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_e8trimg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}



// ***************
// **** PIPES ****
// ***************

textures/aecell_trim/aecell_column1
{
	qer_editorimage textures/aecell_trim/aecell_column1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_column1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_column2
{
	qer_editorimage textures/aecell_trim/aecell_column2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_column2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_grabrail0
{
	qer_editorimage textures/aecell_trim/aecell_grabrail0.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_grabrail0g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_grabrail1
{
	qer_editorimage textures/aecell_trim/aecell_grabrail1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_grabrail1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_grabrail2
{
	qer_editorimage textures/aecell_trim/aecell_grabrail2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_grabrail2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_grabrail3
{
	qer_editorimage textures/aecell_trim/aecell_grabrail3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_grabrail3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_pipe1
{
	qer_editorimage textures/aecell_trim/aecell_pipe1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_pipe1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_pipe2
{
	qer_editorimage textures/aecell_trim/aecell_pipe2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_pipe2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_pipe3
{
	qer_editorimage textures/aecell_trim/aecell_pipe3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_pipe3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}


// ***************
// **** CRATE ****
// ***************

textures/aecell_trim/aecell_crate1
{
	qer_editorimage textures/aecell_trim/aecell_crate1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_crate1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_crate1_top
{
	qer_editorimage textures/aecell_trim/aecell_crate1_top.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_crate1_topg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_crate2
{
	qer_editorimage textures/aecell_trim/aecell_crate2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_crate2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_crate2_top
{
	qer_editorimage textures/aecell_trim/aecell_crate2_top.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_crate2_topg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_crate3
{
	qer_editorimage textures/aecell_trim/aecell_crate3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_crate3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_trim/aecell_crate3_top
{
	qer_editorimage textures/aecell_trim/aecell_crate3_top.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_crate3_topg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}



// **************
// **** RAIL ****
// **************

textures/aecell_trim/aecell_e8rail
{
	qer_editorimage textures/aecell_trim/aecell_e8rail.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm	metalsteps
	cull none				// Two-sided!
	nopicmip
	{
		map textures/aecell_gray/aecell_e8railg.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}




