// AEon's Cell Shaders
// ------------------- 10/14/2009

// - FLOOR:  Various floor textures, from generic to decorative.
// - PADS:   The weapon and item respawn pad textures, based on re-created id icons.
// - DFLOOR: DOOM/Q2 style floor based on Tabun's design.

// Mostly based on "Andromeda" texture set by Speedy.
// Re-created (traced & abstracted) for template texture set by AEon.
// Main orange color: E18022, 225 128 34 -> 0.8789062 0.500000 0.1328125


// ***************
// **** FLOOR ****
// ***************

textures/aecell_floor/aecell_floor_broke2
{
	qer_editorimage textures/aecell_floor/aecell_floor_broke2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_broke2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_broke
{
	qer_editorimage textures/aecell_floor/aecell_floor_broke.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_brokeg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_gr8_1
{
	qer_editorimage textures/aecell_floor/aecell_floor_gr8_1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_gr8_1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_gr8_3
{
	qer_editorimage textures/aecell_floor/aecell_floor_gr8_3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_gr8_3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_gr8
{
	qer_editorimage textures/aecell_floor/aecell_floor_gr8.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_floor_gr8g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}


textures/aecell_floor/aecell_floor_gr8x
{
	qer_editorimage textures/aecell_floor/aecell_floor_gr8x.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_gr8xg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_grx2
{
	qer_editorimage textures/aecell_floor/aecell_floor_grx2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_grx2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_grx
{
	qer_editorimage textures/aecell_floor/aecell_floor_grx.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_grxg.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_holes1
{
	qer_editorimage textures/aecell_floor/aecell_floor_holes1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_holes1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_holes2
{
	qer_editorimage textures/aecell_floor/aecell_floor_holes2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_holes2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_holes3
{
	qer_editorimage textures/aecell_floor/aecell_floor_holes3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_holes3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_pad1
{
	qer_editorimage textures/aecell_floor/aecell_floor_pad1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_pad1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_pad6
{
	qer_editorimage textures/aecell_floor/aecell_floor_pad6.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_pad6g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_pad7
{
	qer_editorimage textures/aecell_floor/aecell_floor_pad7.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_pad7g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_plate1
{
	qer_editorimage textures/aecell_floor/aecell_floor_plate1.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_plate1g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_plate2
{
	qer_editorimage textures/aecell_floor/aecell_floor_plate2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_plate2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_plate3
{
	qer_editorimage textures/aecell_floor/aecell_floor_plate3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_plate3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor_plate4
{
	qer_editorimage textures/aecell_floor/aecell_floor_plate4.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor_plate4g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor2
{
	qer_editorimage textures/aecell_floor/aecell_floor2.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor2g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor3
{
	qer_editorimage textures/aecell_floor/aecell_floor3.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_floor3g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_floor4
{
	qer_editorimage textures/aecell_floor/aecell_floor4.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_floor4g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}



// **************
// **** PADS ****
// **************

textures/aecell_floor/aecell_pads_bfg
{
	qer_editorimage textures/aecell_gray/aecell_pads_bfg.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0		// Avoid point source lighting on face
	q3map_surfacelight 400
	q3map_lightsubdivide 128	// Finer subdivision
	{
		clampmap textures/aecell_gray/aecell_pads_bfg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA	// Transparent, edges no alpha!
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_enviro
{
	qer_editorimage textures/aecell_gray/aecell_pads_enviro.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_enviro.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_flight
{
	qer_editorimage textures/aecell_gray/aecell_pads_flight.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_flight.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_gl
{
	qer_editorimage textures/aecell_gray/aecell_pads_gl.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_gl.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_grapple
{
	qer_editorimage textures/aecell_gray/aecell_pads_grapple.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_grapple.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_haste
{
	qer_editorimage textures/aecell_gray/aecell_pads_haste.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_haste.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_invis
{
	qer_editorimage textures/aecell_gray/aecell_pads_invis.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_invis.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_item
{
	qer_editorimage textures/aecell_gray/aecell_pads_item.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_item.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_lg
{
	qer_editorimage textures/aecell_gray/aecell_pads_lg.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_lg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_medkit
{
	qer_editorimage textures/aecell_gray/aecell_pads_medkit.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_medkit.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_mg
{
	qer_editorimage textures/aecell_gray/aecell_pads_mg.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_mg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_mh
{
	qer_editorimage textures/aecell_gray/aecell_pads_mh.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_mh.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_mh2
{
	qer_editorimage textures/aecell_gray/aecell_pads_mh2.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_mh2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_pg
{
	qer_editorimage textures/aecell_gray/aecell_pads_pg.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_pg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_quad
{
	qer_editorimage textures/aecell_gray/aecell_pads_quad.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_quad.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_ra
{
	qer_editorimage textures/aecell_gray/aecell_pads_ra.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_ra.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_regen
{
	qer_editorimage textures/aecell_gray/aecell_pads_regen.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_regen.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_rg
{
	qer_editorimage textures/aecell_gray/aecell_pads_rg.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_rg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_rl
{
	qer_editorimage textures/aecell_gray/aecell_pads_rl.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_rl.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_sg
{
	qer_editorimage textures/aecell_gray/aecell_pads_sg.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_sg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_tp
{
	qer_editorimage textures/aecell_gray/aecell_pads_tp.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_tp.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_weap
{
	qer_editorimage textures/aecell_gray/aecell_pads_weap.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_weap.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_pads_ya
{
	qer_editorimage textures/aecell_gray/aecell_pads_ya.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 0 0
	q3map_surfacelight 400
	q3map_lightsubdivide 128
	{
		clampmap textures/aecell_gray/aecell_pads_ya.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
		tcMod rotate 45
	}
}



// ****************
// **** DFLOOR ****
// ****************

textures/aecell_floor/aecell_dfloor_01
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_01.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_01g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_dfloor_02
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_02.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_02g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_dfloor_11
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_11.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_11g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_dfloor_13
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_13.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_13g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_dfloor_14
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_14.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_14g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_dfloor_15
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_15.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_15g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_dfloor_21
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_21.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_21g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_dfloor_22
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_22.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_22g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_dfloor_41
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_41.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_41g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_dfloor_51
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_51.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_51g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_floor/aecell_dfloor_82
{
	qer_editorimage textures/aecell_floor/aecell_dfloor_82.tga
	{
      map $lightmap
      rgbGen identity
	}
	{
      map textures/aecell_gray/aecell_dfloor_82g.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

