// AEon's Cell Shaders
// ------------------- 10/14/2009

// - WALL:   Various "detailed" wall textures, and deco.
// - GRATE:  Various grate textures, transparent and opaque, fences, fan grates.
// - DOOR:   Several DOOM and Q2 doors based on Tabun's design.
// - DECAL:  Decals based on Tabun's Q2 designs,
//           spawn1 design based on texture from evil lair's E8 set.
// - WGRATE: Wall grates based on Tabun's Q2 designs.
// - ROOF:   Ceiling tiles based on Tabun's design.

// Mostly based on "Andromeda" texture set by Speedy.
// Re-created (traced & abstracted) for template texture set by AEon.
// Main orange color: E18022, 225 128 34 -> 0.8789062 0.500000 0.1328125


// **************
// **** WALL ****
// **************

textures/aecell_wall/aecell_deco1
{
	qer_editorimage textures/aecell_wall/aecell_deco1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_deco1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_deco2
{
	qer_editorimage textures/aecell_wall/aecell_deco2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_deco2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_deco3
{
	qer_editorimage textures/aecell_wall/aecell_deco3.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_deco3g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_deco4
{
	qer_editorimage textures/aecell_wall/aecell_deco4.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_deco4g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_door
{
	qer_editorimage textures/aecell_wall/aecell_door.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_doorg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_01
{
	qer_editorimage textures/aecell_wall/aecell_wall_01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_01g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_02
{
	qer_editorimage textures/aecell_wall/aecell_wall_02.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_02g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_45deg_1
{
	qer_editorimage textures/aecell_wall/aecell_wall_45deg_1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_45deg_1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_45deg_2
{
	qer_editorimage textures/aecell_wall/aecell_wall_45deg_2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_45deg_2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_45deg_3
{
	qer_editorimage textures/aecell_wall/aecell_wall_45deg_3.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_45deg_3g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_45deg128
{
	qer_editorimage textures/aecell_wall/aecell_wall_45deg128.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_45deg128g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_55
{
	qer_editorimage textures/aecell_wall/aecell_wall_55.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_55g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_ex
{
	qer_editorimage textures/aecell_wall/aecell_wall_ex.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_exg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_gate0
{
	qer_editorimage textures/aecell_wall/aecell_wall_gate0.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_gate0g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_gate5a
{
	qer_editorimage textures/aecell_wall/aecell_wall_gate5a.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_gate5ag.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_gate5b
{
	qer_editorimage textures/aecell_wall/aecell_wall_gate5b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_gate5bg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_gate5c
{
	qer_editorimage textures/aecell_wall/aecell_wall_gate5c.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_gate5cg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_pan_grid1
{
	qer_editorimage textures/aecell_wall/aecell_wall_pan_grid1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_pan_grid1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_pan_grid2
{
	qer_editorimage textures/aecell_wall/aecell_wall_pan_grid2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_pan_grid2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_pan
{
	qer_editorimage textures/aecell_wall/aecell_wall_pan.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_pang.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_window1
{
	qer_editorimage textures/aecell_wall/aecell_wall_window1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wall_window1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wall_window2
{
	qer_editorimage textures/aecell_wall/aecell_wall_window2.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_wall_window2g.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}



// ***************
// **** GRATE ****
// ***************

textures/aecell_wall/aecell_fangrate1
{
	qer_editorimage textures/aecell_wall/aecell_fangrate1.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm	metalsteps
	nopicmip
	{
		map textures/aecell_gray/aecell_fangrate1g.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_fangrate2
{
	qer_editorimage textures/aecell_wall/aecell_fangrate2.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm	metalsteps
	nopicmip
	{
		map textures/aecell_gray/aecell_fangrate2g.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_fence0
{
	qer_editorimage textures/aecell_wall/aecell_fence0.tga
	qer_trans 0.99
	surfaceparm trans
	cull none				// Two-sided!
	nopicmip
	{
		map textures/aecell_gray/aecell_fence0g.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_fence1
{
	qer_editorimage textures/aecell_wall/aecell_fence1.tga
	qer_trans 0.99
	surfaceparm trans
	cull none				// Two-sided!
	nopicmip
	{
		map textures/aecell_gray/aecell_fence1g.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_fence2
{
	qer_editorimage textures/aecell_wall/aecell_fence2.tga
	qer_trans 0.99
	surfaceparm trans
	cull none				// Two-sided!
	nopicmip
	{
		map textures/aecell_gray/aecell_fence2g.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_fence3
{
	qer_editorimage textures/aecell_wall/aecell_fence3.tga
	qer_trans 0.99
	surfaceparm trans
	cull none				// Two-sided!
	nopicmip
	{
		map textures/aecell_gray/aecell_fence3g.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

// Based on id's textures/base_support/x_support
//	Note: "cull none" make such grates two sided. Not needed here!
textures/aecell_wall/aecell_grate1
{
	qer_editorimage textures/aecell_wall/aecell_grate1.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_grate1g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate1_2side
{
	qer_editorimage textures/aecell_wall/aecell_grate1.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none				// Two-sided texture!
	nopicmip
	{
		map textures/aecell_gray/aecell_grate1g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate2
{
	qer_editorimage textures/aecell_wall/aecell_grate2.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_grate2g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate2_2side
{
	qer_editorimage textures/aecell_wall/aecell_grate2.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none				// Two-sided texture!
	nopicmip
	{
		map textures/aecell_gray/aecell_grate2g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate3
{
	qer_editorimage textures/aecell_wall/aecell_grate3.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_grate3g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_grate4
{
	qer_editorimage textures/aecell_wall/aecell_grate4.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_grate4g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate4_2side
{
	qer_editorimage textures/aecell_wall/aecell_grate4.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none				// Two-sided texture!
	nopicmip
	{
		map textures/aecell_gray/aecell_grate4g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate5
{
	qer_editorimage textures/aecell_wall/aecell_grate5.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_grate5g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_grate6
{
	qer_editorimage textures/aecell_wall/aecell_grate6.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_grate6g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_grate7
{
	qer_editorimage textures/aecell_wall/aecell_grate7.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_grate7g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_grate8
{
	qer_editorimage textures/aecell_wall/aecell_grate8.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_grate8g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate8_2side
{
	qer_editorimage textures/aecell_wall/aecell_grate8.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none				// Two-sided texture!
	nopicmip
	{
		map textures/aecell_gray/aecell_grate8g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate9
{
	qer_editorimage textures/aecell_wall/aecell_grate9.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_grate9g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate9_2side
{
	qer_editorimage textures/aecell_wall/aecell_grate9.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none				// Two-sided texture!
	nopicmip
	{
		map textures/aecell_gray/aecell_grate9g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate10
{
	qer_editorimage textures/aecell_wall/aecell_grate10.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_grate10g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate10_2side
{
	qer_editorimage textures/aecell_wall/aecell_grate10.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none				// Two-sided texture!
	nopicmip
	{
		map textures/aecell_gray/aecell_grate10g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate11
{
	qer_editorimage textures/aecell_wall/aecell_grate11.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_grate11g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate11_2side
{
	qer_editorimage textures/aecell_wall/aecell_grate11.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none				// Two-sided texture!
	nopicmip
	{
		map textures/aecell_gray/aecell_grate11g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate12
{
	qer_editorimage textures/aecell_wall/aecell_grate12.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_grate12g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate12_2side
{
	qer_editorimage textures/aecell_wall/aecell_grate12.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none				// Two-sided texture!
	nopicmip
	{
		map textures/aecell_gray/aecell_grate12g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate13
{
	qer_editorimage textures/aecell_wall/aecell_grate13.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_grate13g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_grate14
{
	qer_editorimage textures/aecell_wall/aecell_grate14.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/aecell_gray/aecell_grate14g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_wall/aecell_grate14_2side
{
	qer_editorimage textures/aecell_wall/aecell_grate14.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none				// Two-sided texture!
	nopicmip
	{
		map textures/aecell_gray/aecell_grate14g.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}



// **************
// **** DOOR ****
// **************

textures/aecell_wall/aecell_ddoor1
{
	qer_editorimage textures/aecell_wall/aecell_ddoor1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_ddoor1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_q2_door2
{
	qer_editorimage textures/aecell_wall/aecell_q2_door2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_q2_door2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_q2_door2_side
{
	qer_editorimage textures/aecell_wall/aecell_q2_door2_side.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_q2_door2_sideg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_q2_door3
{
	qer_editorimage textures/aecell_wall/aecell_q2_door3.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_q2_door3g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_q2door1
{
	qer_editorimage textures/aecell_wall/aecell_q2door1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_q2door1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_q2door2
{
	qer_editorimage textures/aecell_wall/aecell_q2door2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_q2door2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_q2door2_side
{
	qer_editorimage textures/aecell_wall/aecell_q2door2_side.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_q2door2_sideg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}



// ***************
// **** DECAL ****
// ***************

textures/aecell_floor/aecell_decal_logo1
{
	qer_editorimage textures/aecell_gray/aecell_decal_logo1.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		clampmap textures/aecell_gray/aecell_decal_logo1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA	// Transparent, edges no alpha!
		rgbGen Vertex
	}
}

textures/aecell_floor/aecell_decal_spawn1
{
	qer_editorimage textures/aecell_gray/aecell_decal_spawn1.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		clampmap textures/aecell_gray/aecell_decal_spawn1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
	}
}

textures/aecell_floor/aecell_decal_spawn1_rot_lt
{
	qer_editorimage textures/aecell_gray/aecell_decal_spawn1.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	q3map_backsplash 1 23		// Avoid point source lighting on face
	q3map_surfacelight 400
	q3map_lightsubdivide 128	// Finer subdivision
	{
		clampmap textures/aecell_gray/aecell_decal_spawn1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA	// Transparent, edges no alpha!
		rgbGen Vertex
		tcMod rotate 45
	}
}

textures/aecell_floor/aecell_decal_spawn2
{
	qer_editorimage textures/aecell_gray/aecell_decal_spawn2.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		clampmap textures/aecell_gray/aecell_decal_spawn2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
	}
}

textures/aecell_floor/aecell_decal_wl1
{
	qer_editorimage textures/aecell_gray/aecell_decal_wl1.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		clampmap textures/aecell_gray/aecell_decal_wl1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
	}
}

textures/aecell_floor/aecell_decal_wl2
{
	qer_editorimage textures/aecell_gray/aecell_decal_wl2.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		clampmap textures/aecell_gray/aecell_decal_wl2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
	}
}

textures/aecell_floor/aecell_decal_wlbig1
{
	qer_editorimage textures/aecell_gray/aecell_decal_wlbig1.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		clampmap textures/aecell_gray/aecell_decal_wlbig1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
	}
}

textures/aecell_floor/aecell_decal_ws1
{
	qer_editorimage textures/aecell_gray/aecell_decal_ws1.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		clampmap textures/aecell_gray/aecell_decal_ws1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
	}
}

textures/aecell_floor/aecell_decal_ws2
{
	qer_editorimage textures/aecell_gray/aecell_decal_ws2.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		clampmap textures/aecell_gray/aecell_decal_ws2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
	}
}

textures/aecell_floor/aecell_decal_wsbig1
{
	qer_editorimage textures/aecell_gray/aecell_decal_wsbig1.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		clampmap textures/aecell_gray/aecell_decal_wsbig1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
	}
}

textures/aecell_floor/aecell_decal_wsl1
{
	qer_editorimage textures/aecell_gray/aecell_decal_wsl1.tga
	qer_trans 0.99
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		clampmap textures/aecell_gray/aecell_decal_wsl1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen Vertex
	}
}


// ****************
// **** WGRATE ****
// ****************
textures/aecell_wall/aecell_wgrate_00
{
	qer_editorimage textures/aecell_wall/aecell_wgrate_00.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wgrate_00g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wgrate_02
{
	qer_editorimage textures/aecell_wall/aecell_wgrate_02.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wgrate_02g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wgrate_03
{
	qer_editorimage textures/aecell_wall/aecell_wgrate_03.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wgrate_03g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wgratebig_02
{
	qer_editorimage textures/aecell_wall/aecell_wgratebig_02.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wgratebig_02g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_wgratebig_03
{
	qer_editorimage textures/aecell_wall/aecell_wgratebig_03.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_wgratebig_03g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}



// **************
// **** ROOF ****
// **************

textures/aecell_wall/aecell_troof_12
{
	qer_editorimage textures/aecell_wall/aecell_troof_12.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_troof_12g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_wall/aecell_troof_42
{
	qer_editorimage textures/aecell_wall/aecell_troof_42.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_troof_42g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}
